For the complete documentation index, see llms.txt. This page is also available as Markdown.

Global Metadata API

Getting global supplementary data

The global metadata API can be used to fetch supplementary information about shared entities like sport, location, league, or competitor.

To discover what types of metadata are available for a specific entity, it's recommended to call the /types endpoint first. This helps you query only the relevant data types afterward.

Example:

  • Get available metadata types for a team/competitor:

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
sportIdinteger · int64Required
leagueIdinteger · int64Required
competitorIdinteger · int64Required
Responses
200

OK

string[]Optional
get/api/GlobalMetadata/sport/{sportId}/league/{leagueId}/competitor/{competitorId}/types
GET /api/GlobalMetadata/sport/{sportId}/league/{leagueId}/competitor/{competitorId}/types HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  "text"
]
  • Get available metadata for that specific metadata type:

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
sportIdinteger · int64Required
leagueIdinteger · int64Required
competitorIdinteger · int64Required
dataTypestringRequired
Query parameters
versioninteger · int64Optional
Responses
200

OK

Metadata for an event.

sportIdinteger · int64 · nullableOptional

ID of the sport.

locationIdinteger · int64 · nullableOptional

ID of the location.

leagueIdinteger · int64 · nullableOptional

ID of the league.

competitorIdinteger · int64 · nullableOptional

ID of the Competitor.

playerIdinteger · int64 · nullableOptional

ID of the Player.

dataTypestring · nullableOptional

Type of data.

versioninteger · int64 · nullableOptional

Version of the metadata.

dataany · nullableOptional

The actual data.

creationTimestring · date-timeOptional

Creation timestamp.

feedSourceinteger · int32Optional

ID of the feed source.

get/api/GlobalMetadata/sport/{sportId}/league/{leagueId}/competitor/{competitorId}/{dataType}
GET /api/GlobalMetadata/sport/{sportId}/league/{leagueId}/competitor/{competitorId}/{dataType} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "sportId": 1,
  "locationId": 1,
  "leagueId": 1,
  "competitorId": 1,
  "playerId": 1,
  "dataType": "text",
  "version": 1,
  "data": null,
  "creationTime": "2026-01-01T00:00:00.000Z",
  "feedSource": 1
}

Last updated